﻿using System;

namespace Core.ImageUtil
{
    public enum DownloadImagesComplete
    {
        None,
        Successfully,
        Canceled
    }

    /// <summary>
    /// Event arguments class for downloading images event.
    /// </summary>
    public class DownloadingImagesArgs : EventArgs
    {
        public DownloadingImagesArgs(string imgName)
        {
            this.ImageName = imgName;
            this.DownloadImagesStatus = DownloadImagesComplete.None;
        }

        public DownloadingImagesArgs(DownloadImagesComplete status)
        {
            this.ImageName = String.Empty;
            this.DownloadImagesStatus = status;
        }

        /// <summary>
        /// Gets or set the image name. It contains only the name not the path.
        /// </summary>
        public string ImageName { get; set; }

        public DownloadImagesComplete DownloadImagesStatus { get; set; }
    }

}
