﻿namespace Core
{
    /// <summary>
    /// Image properties related to every post.
    /// </summary>
    public class PostImage
    {
        /// <summary>
        /// Gets or sets the image src tag attribute value.
        /// </summary>
        public string ImgSrc { get; set; }

        /// <summary>
        /// Gets or sets the href tag attribute value. This Href point to an image
        /// </summary>
        public string Href { get; set; }

        /// <summary>
        /// Gest or sets images source file name. It contains the file name only from 
        /// the <see cref="ImgSrc" /> property.
        /// </summary>
        public string ImgSrcFileName { get; set; }

        /// <summary>
        /// Gests or sest href file name. It contains the file name which is an image
        /// from the <see cref="Href"/> property.
        /// </summary>
        public string HrefFileName { get; set; }
    }
}
